## generic_a15-user 12 SP1A.210812.016 eng.huawei.20240517.120838 dev-keys
- Manufacturer: hisilicon
- Platform: kirin9010
- Codename: Kirin9010
- Brand: Kirin9010
- Flavor: user
- Release Version: 12
- Kernel Version: 5.10.43
- Id: SP1A.210812.016
- Incremental: 20240517121156
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: false
- Treble Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: Kirin9010/Kirin9010/Kirin9010:12/SP1A.210812.016/huawei05171211:user/dev-keys
- OTA version: 
- Branch: generic_a15-user-12-SP1A.210812.016-eng.huawei.20240517.120838-dev-keys
- Repo: kirin9010/Kirin9010
